import React from 'react';
import {render} from 'react-dom';
import {AppContainer} from 'react-hot-loader';
import Autocomplete from '../dist/index.js';
import '../dist/autocomplete.css';
import {getTypesOfCoffee} from './api/coffeeServer';

render(
    <AppContainer>
        <Autocomplete
            defaultResults={['Americano', 'Caffé Latte', 'Cappuccino', 'Espresso']}
            id='coffee'
            maxCount={5}
            onDelete={deleted => console.log('Deleted: ' + deleted)}
            onInput={typedCoffee => getTypesOfCoffee(typedCoffee)}
            onSelect={selected => console.log('Selected: ' + selected)}
            placeholder='Type any type of coffee'
            repeatOptions={false}
            showResultsList
        />
    </AppContainer>,
    document.getElementById('root')
);


if (module.hot) {
    module.hot.accept('../dist/index.js', () => {

        render(
            <AppContainer />,
            document.getElementById('root')
        );
    });
}
