const path = require('path');
const webpack = require('webpack');
const ExtractTextPlugin = require('extract-text-webpack-plugin');

module.exports = {
    entry: [
        // 'webpack-dev-server/client?http://localhost:3000',
        // 'webpack/hot/only-dev-server',
        // 'react-hot-loader/patch',
        path.resolve(__dirname, './index.jsx')
    ],

    output: {
        path: __dirname + '',
        publicPath: '/',
        filename: './bundle.js'
    },

    devtool: 'source-maps',

    module: {
        rules: [
            {test: /\.jsx?$/, exclude: /node_modules/, use: ['babel-loader']},
            {test: /\.scss$|\.css$/, loader: ExtractTextPlugin.extract('css-loader!sass-loader')},
            {test: /\.(jpe?g|png|gif|svg|xml)$/i, use: ['file-loader?name=images/[name].[ext]']},
            {test: /\.(ttf|eot|svg|woff2?)(\?v=[0-9]\.[0-9]\.[0-9])?$/, use: ['file-loader?name=fonts/[name].[ext]']}
        ]
    },

    devServer: {
        hot: true,
        contentBase: './',
        port: 3000
    },

    plugins: [
        new webpack.optimize.AggressiveMergingPlugin(),//Merge chunks
        new webpack.HotModuleReplacementPlugin(),
        new ExtractTextPlugin('bundle.css')
    ]
};
